GNU bug report logs - #38129
[PATCH] gnu: Add sherlock-lv2.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Alexandros Theodotou <alex@HIDDEN>; Keywords: patch; Done: Marius Bakke <mbakke@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 38129-done <at> debbugs.gnu.org:


Received: (at 38129-done) by debbugs.gnu.org; 13 Nov 2019 22:23:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 13 17:23:24 2019
Received: from localhost ([127.0.0.1]:60358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iV12p-0002Fo-Jb
	for submit <at> debbugs.gnu.org; Wed, 13 Nov 2019 17:23:23 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:45773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1iV12n-0002Fa-Ry
 for 38129-done <at> debbugs.gnu.org; Wed, 13 Nov 2019 17:23:22 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id B7CC121DC7;
 Wed, 13 Nov 2019 17:23:15 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Wed, 13 Nov 2019 17:23:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=YYcMVo2GmHcsQmwLJAuOM4PpwM
 +n3cYAUVgdGepz2gE=; b=pKRYAl7H+iNikF/faJh0VYEzMaGeMUHeY+5RYHRE6Z
 OlYsv05KT8AzrajRQeql3446y2F+ZFR016qMGFySZ5IgeiRI6mu+ECn4FD/oi60q
 UtGeGDMJkiVb4oYR6qH19YqNLpCyLbDkWpL1DfSKA6rS57k0b1SfkxFuB1lKpHj1
 nHwCMV2IDF7M7vOnpKeMqrDfGnknVt65uZtq/nT/GzjdJ5KB1tXzJ8vWJG86aTMg
 rjsJHmWFiSF1EV1vuKvaMzfqQAEGYdsbz3VKEGpvUeILwDhRwwCWB83DO45YYY3n
 HTeZ6e+ccSUv+U+3Xlqs2lnGpuTJJC1MITO5j7ahRJ7g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=YYcMVo
 2GmHcsQmwLJAuOM4PpwM+n3cYAUVgdGepz2gE=; b=Jg/Uq2IjaDy8/yfkHDiRy8
 VRO8EaIW9HqPfWArQguoFQlGqi4M48ky4J2d20DpkU82vpQGZB79bjKf3Z3IUxuW
 3MTObaBFkMtiFkbSitbk0M31VtVeqRDzB/eHQBO4EPTknV5EVD8F6KTvWO5zWHB+
 W8TQDauL2fwoJ/gKa4MuxOx08dOQw0GW6EPqbrBXS/Gk/KM37pgBSIljY5d5lR8J
 08xlSy2m/K6aOfepGQQZhPtK5o1+odXIjmJyW4Rd4pExP/fW3e3RckwrZ2S8Px/4
 Y6CQT/8LuZLmopku5Hsfey/iMOZue015QKA8UTL6s0orJ9nZkLE5zxf/jllPA6AQ
 ==
X-ME-Sender: <xms:U4LMXU2Z19ujBMUf2xw6hjADE5GMtfGA1_jASbmyfOH6Q1i5Y98aWQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrudefuddgudeigecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhi
 uhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecukfhppe
 eivddrudeirdduledvrdduhedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhk
 vgesfhgrshhtmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:U4LMXdn77YYcKoZEPhaGVC190p4kumbgpEYi_38CU4xYT7fUa3zFmw>
 <xmx:U4LMXYZwwzuxmNlt8-P-NRZcUyspoHVGgmeZLlASKD2nQYHBEcOmQw>
 <xmx:U4LMXX_gUttlsTKrgcisz_gntEDls_JWlsjllcTribpwD06MDOANCQ>
 <xmx:U4LMXeHk58jJZtbqY60SAxjG7dpqNYO684XRiuPcYfYMb1UTaEBrZQ>
Received: from localhost (ti0006q161-0149.bb.online.no [62.16.192.150])
 by mail.messagingengine.com (Postfix) with ESMTPA id 139318005B;
 Wed, 13 Nov 2019 17:23:14 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Alexandros Theodotou <alex@HIDDEN>, 38129-done <at> debbugs.gnu.org
Subject: Re: [bug#38129] [PATCH] gnu: Add sherlock-lv2.
In-Reply-To: <ebbd766ae66b16b1ff0a7132e94b7297b4296400.camel@HIDDEN>
References: <57b24a50e1feeed51edf264b6bb97480@HIDDEN>
 <87ftivl8pw.fsf@HIDDEN>
 <ebbd766ae66b16b1ff0a7132e94b7297b4296400.camel@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Wed, 13 Nov 2019 23:23:12 +0100
Message-ID: <87sgmriffz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38129-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Alexandros Theodotou <alex@HIDDEN> writes:

> Hi Marius,
>
>> I think your MUA might have mangled these
>> patches somehow, as many of them are "corrupt" according to git.  Can
>> you try to resend these?  I'll comment on the patches individually
>> meanwhile.
> Sorry about that. I got Gnome evolution sorted out now so hopefully
> it's better. send-mail doesn't work for me at the moment so I'll add
> the patches as attachments.

Thanks!

>> > +       ("libx11" ,libx11)
>> > +       ("mesa" ,mesa)
>> > +       ("serd" ,serd)
>> > +       ("sratom" ,sratom)))
>> > +    (native-inputs
>> > +     `(("flex" ,flex)
>> > +       ("lv2" ,lv2)
>> > +       ("sord" ,sord)
>>=20
>> I don't know anything about LV2 and sord, are these inputs really
>> only
>> used for the build process itself?  :-)
> Sord is an input for sratom (which is in the inputs above), but the
> build fails if I remove this from the native-inputs.

Right, I think I see the problem.  sratom's pkg-config file has this
line:

  Requires: lv2 serd-0 sord-0

Which means that these need to be available when build systems run
e.g. 'pkg-config --cflags sratom-0'.  This is the most common use of
propagated-inputs in Guix.

I went ahead and propagated these from 'sratom', and removed the 'lv2'
and 'sord' inputs.  Let me know if you think something is off!

> For LV2, technically, it's only needed in the build process since it's
> just a header file with specifications. Since this is an LV2 plugin, a
> host that will be loading it will include LV2 itself and will have it
> as an input, so the plugin doesn't really need it. It doesn't hurt to
> add it as an input either, but I think having it as a build input is
> more "correct". By the way, the Arch packagers do the same for most LV2
> plugins.

Right.  Header files are usually architecture-independent, so having
them as native-inputs should be safe.

> From 8bda974a93874bcf366ba78bdf3329f73245e90f Mon Sep 17 00:00:00 2001
> From: Alexandros Theodotou <alex@HIDDEN>
> Date: Fri, 8 Nov 2019 10:59:52 +0000
> Subject: [PATCH] gnu: Add sherlock-lv2.
>
> * gnu/packages/music.scm: (sherlock-lv2): New variable.

Applied (with the dropped inputs), thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl3MglAACgkQoqBt8qM6
VPqDYAgAwyjVTkD3/S3ZXeVPMW+pCzuO+3Ewj7IRDwWhQHObR7iCs74wWKKlS/ng
O/xdXQ3E1Dtv0mvEj+CjVyTfuBIv9VI9L/NsfzGwwKj1ZnZijE4WuypbkVpAuinp
yTapOg5XlMNhcbWF0NrV2t2bbtd5Mliqxiv+dpaG+ed2m8evVJApisAOWqNKYID5
zqo8Rtgemt4PHv4KRvOs8MA6aBlst//joIK/Z5PLbgrGYpfnR1gZqY/hk6ahuXmN
Y6tTIxvrJjWls0ou3ZGJLkl9QdF/77WPeIDcu/D+TUWECz9Lue8YiHaZI1TYL2n1
NYm+2LUiwB5GG+n/QO2B5KooS+99zg==
=LNPu
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Alexandros Theodotou <alex@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Marius Bakke <mbakke@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 38129 <at> debbugs.gnu.org:


Received: (at 38129) by debbugs.gnu.org; 11 Nov 2019 01:36:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 20:36:12 2019
Received: from localhost ([127.0.0.1]:52877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTycm-0003mB-8w
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2019 20:36:12 -0500
Received: from mout01.posteo.de ([185.67.36.141]:46357)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1iTych-0003lf-Jd
 for 38129 <at> debbugs.gnu.org; Sun, 10 Nov 2019 20:36:10 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id F15BE16005C
 for <38129 <at> debbugs.gnu.org>; Mon, 11 Nov 2019 02:36:00 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 47BD3g0MnPz6tm9;
 Mon, 11 Nov 2019 02:35:58 +0100 (CET)
Message-ID: <ebbd766ae66b16b1ff0a7132e94b7297b4296400.camel@HIDDEN>
Subject: Re: [bug#38129] [PATCH] gnu: Add sherlock-lv2.
From: Alexandros Theodotou <alex@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>, 38129 <at> debbugs.gnu.org
Date: Mon, 11 Nov 2019 01:35:56 +0000
In-Reply-To: <87ftivl8pw.fsf@HIDDEN>
References: <57b24a50e1feeed51edf264b6bb97480@HIDDEN>
 <87ftivl8pw.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-FTRorlVa18X18osAchBl"
User-Agent: Evolution 3.30.5 
MIME-Version: 1.0
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38129
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


--=-FTRorlVa18X18osAchBl
Content-Type: multipart/mixed; boundary="=-4kpAD3q43/ri+cpkAsLK"


--=-4kpAD3q43/ri+cpkAsLK
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi Marius,

> I think your MUA might have mangled these
> patches somehow, as many of them are "corrupt" according to git.  Can
> you try to resend these?  I'll comment on the patches individually
> meanwhile.
Sorry about that. I got Gnome evolution sorted out now so hopefully
it's better. send-mail doesn't work for me at the moment so I'll add
the patches as attachments.

> > +     `(("glibc" ,glibc)
>=20
> I don't think this is needed?
I guess it's not, I removed it.

> > +       ("libx11" ,libx11)
> > +       ("mesa" ,mesa)
> > +       ("serd" ,serd)
> > +       ("sratom" ,sratom)))
> > +    (native-inputs
> > +     `(("flex" ,flex)
> > +       ("lv2" ,lv2)
> > +       ("sord" ,sord)
>=20
> I don't know anything about LV2 and sord, are these inputs really
> only
> used for the build process itself?  :-)
Sord is an input for sratom (which is in the inputs above), but the
build fails if I remove this from the native-inputs.

For LV2, technically, it's only needed in the build process since it's
just a header file with specifications. Since this is an LV2 plugin, a
host that will be loading it will include LV2 itself and will have it
as an input, so the plugin doesn't really need it. It doesn't hurt to
add it as an input either, but I think having it as a build input is
more "correct". By the way, the Arch packagers do the same for most LV2
plugins.

> > +       ("pkg-config" ,pkg-config)))
> > +    (synopsis "Investigative LV2 plugin bundle")
> > +    (description "The Sherlock plugin bundle contains LV2 plugins
> > for
> > +visualizing LV2 atom, MIDI and OSC events. They can be used for=20
> > monitoring and
> > +debugging of event signal flows inside plugin graphs.")
>=20
> Two spaces after periods, as per 'guix lint'.
Fixed, thank you!

--=-4kpAD3q43/ri+cpkAsLK
Content-Disposition: attachment; filename="0001-gnu-Add-sherlock-lv2.patch"
Content-Type: text/x-patch; name="0001-gnu-Add-sherlock-lv2.patch"; charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-4kpAD3q43/ri+cpkAsLK--

--=-FTRorlVa18X18osAchBl
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQEzBAABCAAdFiEESBMjhK0999huJUuDAi6uQjE9cPMFAl3IuvwACgkQAi6uQjE9
cPMZHwgAj3t2pnBxF6Pvx7H7mQGO6oiQRyRncPttRq6NA6uUOV/YkdWz1+NcHJo4
RFt3jPVBQK7FQTdWNDGfL7efXPgxZ4cEpa3hMeqZJvr168PfZ0ZFjHIAdpsguE2X
hP/afY3Vpo3EoXAyGYvfAiNGzRI0dDhuxFDAp7IC1JH2tqW7M8h0rgCxJLP+Nj7m
zrMyMeKjqbSCBBLgy+T9vtBq35/v9S4qfd936B/4ioxVmcbNJUSj4p5W+9MsBW+H
KYTVveMHmoMZoO4PXshzbtLgR3IGbzy9ZvTdKFFvjK4gLFguKVmdbxOTKmg/JBYn
lmmazxlTQyo2/4nl/jlp3G9j7uPuew==
=4NTi
-----END PGP SIGNATURE-----

--=-FTRorlVa18X18osAchBl--





Information forwarded to guix-patches@HIDDEN:
bug#38129; Package guix-patches. Full text available.

Message received at 38129 <at> debbugs.gnu.org:


Received: (at 38129) by debbugs.gnu.org; 10 Nov 2019 21:31:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 16:31:19 2019
Received: from localhost ([127.0.0.1]:52740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTunn-0005TR-4G
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2019 16:31:19 -0500
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:47215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1iTunk-0005N5-60
 for 38129 <at> debbugs.gnu.org; Sun, 10 Nov 2019 16:31:16 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 63FDE480;
 Sun, 10 Nov 2019 16:31:10 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Sun, 10 Nov 2019 16:31:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=nJURW1nZk0Zvi+dLqkP8eCWLCD
 HqWg1EGF5wHSNpIRA=; b=OOBlnwrxDhxqTae52XpUAK+kOUgWS544u4tQ2221X8
 frXB6ZN+bQWKLJ9ixD5M5mk34ETgoefw4IhHOq5XuUWQ+RaDNNORWfZpqkr6Zmj+
 QnMa9zrmCSUSfRruANKOEyz6c0MlV9lHyhdS3pV5A7x/w4RpFIIo6aXaCUamcwJB
 PUb0NOaIDNLZgqn3mBP2iFKs0kTKo3vJCtfw0rJxu0RnnHTiklLSAOA/IJdNIX4p
 mL1dvpJR7sG5cPyetNGlRhbjRUDvEJr/CE3jZdW1oPDSwO/eLU2B3DQVjwBQnHEJ
 0wPjWvWLTRH/z3BgzQZvhXE0XaGNzW4SP9aoGlADFJ/Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=nJURW1
 nZk0Zvi+dLqkP8eCWLCDHqWg1EGF5wHSNpIRA=; b=vWKvo9yAGpwgS7awaUxQC4
 3S4niFENm4E01ZCiAS2eOskropemyb0sZ/TDbABs4j1ZmM9JplucX1AwaAkWbT4c
 Z2sgZOXp84QKCKpxbCFTNQKcorjpuoAo9g17PM2+VQ3oKsUYoAHqfusQycsUn7Qq
 mp2ErLPiHdF6lEVIxZWvAdQqsFJ2CO1jAzLVJGSFSKx7eME1JNmzk+cQcQHjvN3K
 h6iVanbjJVce+1uSMs1wSUSDIAH1hJPCWgZAeNDsmX+8wrOWdTnzHJHLr7wzmDsG
 9UWWKNqzPzzU1ULrVpgj19NIy2uqtSouOHpFPcfp0NOxS+2gUlOd89cs3TP5bHGg
 ==
X-ME-Sender: <xms:nYHIXe5GupVuYkwFi1GSoFgLsXcpl6UocA2hhuD5EDu9YEODPH_qIw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedruddvhedgudehfecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhi
 uhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecuffhomh
 grihhnpehophgvnhdqmhhushhitgdqkhhonhhtrhholhhlvghrshdrtghhnecukfhppeek
 gedrhedvrddvvdeirddutddvnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhkvg
 esfhgrshhtmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:nYHIXYctYzNCqGXQNY1TtXWqBJvyo19c3wqQQrf_nEo8OXAXgtVq7Q>
 <xmx:nYHIXWXbN19bXPW1NRfCn0KqCengHkg3ANtE7B9oKFCgG7IfH2Obng>
 <xmx:nYHIXVV0S7nt0S8epUp6Wob1RGg_biAqGujk1CAPV3O0wutGGfEfrw>
 <xmx:noHIXZm4fwx_zw3sLeNKIA5Q4Fa780OyiBLdHyMnRz1KzpKK2xIK6w>
Received: from localhost (84-52-226.102.3p.ntebredband.no [84.52.226.102])
 by mail.messagingengine.com (Postfix) with ESMTPA id 6F9DC3060060;
 Sun, 10 Nov 2019 16:31:09 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Alexandros Theodotou <alex@HIDDEN>, 38129 <at> debbugs.gnu.org
Subject: Re: [bug#38129] [PATCH] gnu: Add sherlock-lv2.
In-Reply-To: <57b24a50e1feeed51edf264b6bb97480@HIDDEN>
References: <57b24a50e1feeed51edf264b6bb97480@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sun, 10 Nov 2019 22:31:07 +0100
Message-ID: <87ftivl8pw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38129
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Alexandros,

Thanks for these patches.  I think your MUA might have mangled these
patches somehow, as many of them are "corrupt" according to git.  Can
you try to resend these?  I'll comment on the patches individually
meanwhile.

Alexandros Theodotou <alex@HIDDEN> writes:

>  From 5207795bcce201e019c33bb0274e06a460cf6c3f Mon Sep 17 00:00:00 2001
>  From: Alexandros Theodotou <alex@HIDDEN>
> Date: Fri, 8 Nov 2019 10:59:52 +0000
> Subject: [PATCH] gnu: Add sherlock-lv2.
>
> * gnu/packages/music.scm: (sherlock-lv2): New variable.

[...]

> +(define-public sherlock-lv2
> +  (package
> +    (name "sherlock-lv2")
> +    (version "0.20.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (string-append
> +               "https://git.open-music-kontrollers.ch/lv2/"
> +               "sherlock.lv2/snapshot/sherlock.lv2-"
> +               version ".tar.xz"))
> +        (sha256
> +          (base32
> +            "1c5xajpss9h8lbyx160bbzg8va50n2d74qwnxig9sf468rzmha1y"))))
> +    (build-system meson-build-system)
> +    (inputs
> +     `(("glibc" ,glibc)

I don't think this is needed?

> +       ("libx11" ,libx11)
> +       ("mesa" ,mesa)
> +       ("serd" ,serd)
> +       ("sratom" ,sratom)))
> +    (native-inputs
> +     `(("flex" ,flex)
> +       ("lv2" ,lv2)
> +       ("sord" ,sord)

I don't know anything about LV2 and sord, are these inputs really only
used for the build process itself?  :-)

> +       ("pkg-config" ,pkg-config)))
> +    (synopsis "Investigative LV2 plugin bundle")
> +    (description "The Sherlock plugin bundle contains LV2 plugins for
> +visualizing LV2 atom, MIDI and OSC events. They can be used for=20
> monitoring and
> +debugging of event signal flows inside plugin graphs.")

Two spaces after periods, as per 'guix lint'.


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl3IgZsACgkQoqBt8qM6
VPq0ggf/TYthl+Lr7qU9+9CpDCgFVovxuj3U0V1oYFp+IeI3wONo2m8lhe5vNVuc
WpWLRITuxLI/tRBdD/QCL66t/SC0ceixdnwgOvi2SKiqef3vzvfoUcMwjvqrmN2O
8dNPOJ4eqqkcmS28TAvzWUPDC5bVIySBdpU0yriv7tgLeMEzptN/BEVpYUVeOS3C
iUoo7claM+edV9TQfDUihpXjschlFXKpq/upia1VhBLSvCc2trJJgjHji07QrFgn
x6IkICC2+GLy8j0Y1sFzUyiUytq5BU/VqlCzmEvgjxbL6pFe8VfiIQT+z5tb9z7x
7FKUaKrNjpWiUFShnj/LAmQe3YI1wg==
=ExMR
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38129; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Nov 2019 11:06:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 06:06:01 2019
Received: from localhost ([127.0.0.1]:44859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT25U-00006i-3R
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 06:06:01 -0500
Received: from lists.gnu.org ([209.51.188.17]:36175)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1iT25R-00006Z-P8
 for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 06:05:54 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:57650)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <alex@HIDDEN>) id 1iT25Q-0008Tj-8n
 for guix-patches@HIDDEN; Fri, 08 Nov 2019 06:05:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_40,RCVD_IN_DNSWL_MED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alex@HIDDEN>) id 1iT25K-0006LE-5d
 for guix-patches@HIDDEN; Fri, 08 Nov 2019 06:05:50 -0500
Received: from mout01.posteo.de ([185.67.36.141]:44811)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <alex@HIDDEN>) id 1iT25J-0006HC-KG
 for guix-patches@HIDDEN; Fri, 08 Nov 2019 06:05:45 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id B0542160062
 for <guix-patches@HIDDEN>; Fri,  8 Nov 2019 12:05:42 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 478crK1wnSz6tmN
 for <guix-patches@HIDDEN>; Fri,  8 Nov 2019 12:05:37 +0100 (CET)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: quoted-printable
Date: Fri, 08 Nov 2019 12:05:37 +0100
From: Alexandros Theodotou <alex@HIDDEN>
To: Guix patches <guix-patches@HIDDEN>
Subject: [PATCH] gnu: Add sherlock-lv2.
Message-ID: <57b24a50e1feeed51edf264b6bb97480@HIDDEN>
X-Sender: alex@HIDDEN
User-Agent: Posteo Webmail
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 185.67.36.141
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

 From 5207795bcce201e019c33bb0274e06a460cf6c3f Mon Sep 17 00:00:00 2001
 From: Alexandros Theodotou <alex@HIDDEN>
Date: Fri, 8 Nov 2019 10:59:52 +0000
Subject: [PATCH] gnu: Add sherlock-lv2.

* gnu/packages/music.scm: (sherlock-lv2): New variable.
---
  gnu/packages/music.scm | 34 ++++++++++++++++++++++++++++++++++
  1 file changed, 34 insertions(+)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index a30765e87f..95cc0ff93c 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -24,6 +24,7 @@
  ;;; Copyright =C2=A9 2019 Jakob L. Kreuze <zerodaysfordays@HIDDEN=
=2Eorg>
  ;;; Copyright =C2=A9 2019 raingloom <raingloom@HIDDEN>
  ;;; Copyright =C2=A9 2019 David Wilson <david@HIDDEN>
+;;; Copyright =C2=A9 2019 Alexandros Theodotou <alex@HIDDEN>
  ;;;
  ;;; This file is part of GNU Guix.
  ;;;
@@ -4699,3 +4700,36 @@ You can also get metadata about the playing track=20
such as the artist and title
  for integration into status line generators or other command-line=20
tools.")
      (home-page "https://github.com/altdesktop/playerctl")
      (license license:lgpl3+)))
+
+(define-public sherlock-lv2
+  (package
+    (name "sherlock-lv2")
+    (version "0.20.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (string-append
+               "https://git.open-music-kontrollers.ch/lv2/"
+               "sherlock.lv2/snapshot/sherlock.lv2-"
+               version ".tar.xz"))
+        (sha256
+          (base32
+            "1c5xajpss9h8lbyx160bbzg8va50n2d74qwnxig9sf468rzmha1y"))))
+    (build-system meson-build-system)
+    (inputs
+     `(("glibc" ,glibc)
+       ("libx11" ,libx11)
+       ("mesa" ,mesa)
+       ("serd" ,serd)
+       ("sratom" ,sratom)))
+    (native-inputs
+     `(("flex" ,flex)
+       ("lv2" ,lv2)
+       ("sord" ,sord)
+       ("pkg-config" ,pkg-config)))
+    (synopsis "Investigative LV2 plugin bundle")
+    (description "The Sherlock plugin bundle contains LV2 plugins for
+visualizing LV2 atom, MIDI and OSC events. They can be used for=20
monitoring and
+debugging of event signal flows inside plugin graphs.")
+    (home-page "https://open-music-kontrollers.ch/lv2/sherlock/")
+    (license license:artistic2.0)))
--=20
2.24.0





Acknowledgement sent to Alexandros Theodotou <alex@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#38129; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Nov 2019 22:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.